Subject: Re: [PATCH] stash show: don't setup default diff output format if --{include,only}-untracked given

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 May 2021 07:17:53 +0900

Denton Liu <[email-masked]> writes:

> I could be convinced either way and I was erring on the side of caution
> by proposing this patch. I'm okay with the status quo so we can keep the
> behaviour as is, unless someone objects in which case we should revert
> pending more discussion.

I do not know if "--stat" is a good default for "git stash show",
with or without "-u", to begin with, but if the default varies
between "git stash show" and "git stash show -u", it would be like
"git diff" and "git diff HEAD" using different defaults depending on
what is being compared.  And from that point of view, I did find
that the patch takes the behaviour in a less consistent and more
confusing direction.

> I'll send a follow-up patch later this week clarifying the docs.

Thanks.